<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="" />
    <meta
      name="author"
      content="Mark Otto, Jacob Thornton, and Bootstrap contributors"
    />
    <meta name="generator" content="Hugo 0.98.0" />
    <title>Signin Template · Bootstrap v5.2</title>

    <link
      rel="canonical"
      href="https://getbootstrap.com/docs/5.2/examples/sign-in/"
    />
    <link
      href="/docs/5.2/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor"
      crossorigin="anonymous"
    />

    <!-- Favicons -->
    <link
      rel="apple-touch-icon"
      href="/docs/5.2/assets/img/favicons/apple-touch-icon.png"
      sizes="180x180"
    />
    <link
      rel="icon"
      href="/docs/5.2/assets/img/favicons/favicon-32x32.png"
      sizes="32x32"
      type="image/png"
    />
    <link
      rel="icon"
      href="/docs/5.2/assets/img/favicons/favicon-16x16.png"
      sizes="16x16"
      type="image/png"
    />
    <link rel="manifest" href="/docs/5.2/assets/img/favicons/manifest.json" />
    <link
      rel="mask-icon"
      href="/docs/5.2/assets/img/favicons/safari-pinned-tab.svg"
      color="#712cf9"
    />
    <link rel="icon" href="/docs/5.2/assets/img/favicons/favicon.ico" />
    <meta name="theme-color" content="#712cf9" />

    <link href="login.component.css" rel="stylesheet" />
  </head>
  <body
    class="body bg-light container-fluid text-center row justify-content-center align-content-center"
  >
    <div class="col-9 col-sm-8 col-md-5 col-xl-4">
      <main class="form-signin w-100 m-auto">
        <form class="ps-5 pe-5 rounded">
          <div class="p-3 pt-4 row justify-content-center">
            <h1 class="h3 fw-normal">Please sign in</h1>
          </div>
          <div class="form-floating mb-2 mt-4">
            <input
              type="email"
              class="form-control"
              id="floatingInput"
              placeholder="name@example.com"
              autofocus
              #email
            />
            <label for="floatingInput">Email address</label>
          </div>
          <div class="form-floating">
            <input
              type="password"
              class="form-control"
              id="floatingPassword"
              placeholder="Password"
              #password
            />
            <label for="floatingPassword">Password</label>
          </div>

          <div class="checkbox mb-3 mt-3">
            <label>
              <input type="checkbox" value="remember-me" /> Remember me
            </label>
          </div>

          <button
            class="w-75 btn btn-lg btn-warning mt-3"
            type="submit"
            (click)="formSubmit(email, password)"
            *ngIf="!isLoading"
          >
            Sign in
          </button>

          <!-- loading button -->
          <button
            class="btn btn-primary"
            type="button"
            disabled
            class="w-75 btn btn-lg btn-warning mt-3"
            *ngIf="isLoading"
          >
            <span
              class="spinner-border spinner-border-sm"
              role="status"
              aria-hidden="true"
            ></span>
            <span class="ms-2">Sign in</span>
          </button>

          <p class="mt-5 mb-3 text-muted">&copy; 2017–2022</p>
        </form>
      </main>
    </div>
  </body>
</html>
<router-outlet></router-outlet>
